Loading...
Searching...
No Matches
mbedtls_asn1_sequence Struct Reference
Asn1_module

`#include <asn1.h>`

Collaboration diagram for mbedtls_asn1_sequence:
[legend]

## Data Fields

mbedtls_asn1_buf | buf
struct mbedtls_asn1_sequence * | next

## Detailed Description

Container for a sequence of ASN.1 items

Definition at line 161 of file asn1.h.

## Field Documentation

## buf

mbedtls_asn1_buf mbedtls_asn1_sequence::buf

Buffer containing the given ASN.1 item.

Definition at line 162 of file asn1.h.

## next

struct mbedtls_asn1_sequence* mbedtls_asn1_sequence::next

The next entry in the sequence.

The details of memory management for sequences are not documented and may change in future versions. Set this field to `NULL` when initializing a structure, and do not modify it except via Mbed TLS library functions.

Definition at line 171 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h